<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: register_map Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">register_map Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for register_map:</div>
<div class="dyncontent">
<div class="center"><img src="classregister__map__inherit__graph.png" border="0" usemap="#register__map_inherit__map" alt="Inheritance graph"/></div>
<map name="register__map_inherit__map" id="register__map_inherit__map">
<area shape="rect" id="node8" href="classWIB.html" title="WIB" alt="" coords="353,229,401,256"/><area shape="rect" id="node2" href="classreseter.html" title="work.reseter" alt="" coords="161,80,261,107"/><area shape="rect" id="node3" href="classregister__map__bridge.html" title="work.register_map_bridge" alt="" coords="285,80,470,107"/><area shape="rect" id="node4" href="classIOREG__READ__ADDR__FIFO.html" title="work.IOREG_READ_ADDR_FIFO" alt="" coords="5,5,237,32"/><area shape="rect" id="node5" href="classIOREG__READ__DATA__FIFO.html" title="work.IOREG_READ_DATA_FIFO" alt="" coords="262,5,493,32"/><area shape="rect" id="node6" href="classIOREG__WRITE__FIFO.html" title="work.IOREG_WRITE_FIFO" alt="" coords="517,5,709,32"/><area shape="rect" id="node7" href="classcounter.html" title="work.counter(2)" alt="" coords="495,80,615,107"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classregister__map-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classregister__map_1_1Behavioral.html">Behavioral</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:a2edc34402b573437d5f25fa90ba4013e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2edc34402b573437d5f25fa90ba4013e"></a>
<a class="el" href="classregister__map.html#a2edc34402b573437d5f25fa90ba4013e">numeric_std</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:a98507a0fe8002408a9d024a6658901e7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a98507a0fe8002408a9d024a6658901e7"></a>
<a class="el" href="classregister__map.html#a98507a0fe8002408a9d024a6658901e7">WIB_Constants</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classWIB__Constants.html"> &lt;WIB_Constants&gt;</a></td></tr>
<tr class="memitem:a3f50af30a812245a23dd8dca051a6af5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3f50af30a812245a23dd8dca051a6af5"></a>
<a class="el" href="classregister__map.html#a3f50af30a812245a23dd8dca051a6af5">WIB_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classWIB__IO.html"> &lt;WIB_IO&gt;</a></td></tr>
<tr class="memitem:adb514316cffdcf76c57da8f5007fcaa6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adb514316cffdcf76c57da8f5007fcaa6"></a>
<a class="el" href="classregister__map.html#adb514316cffdcf76c57da8f5007fcaa6">FEMB_CNC_IO</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:adec9c787fb8ad0cb3ab02d63b8630c79"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adec9c787fb8ad0cb3ab02d63b8630c79"></a>
<a class="el" href="classregister__map.html#adec9c787fb8ad0cb3ab02d63b8630c79">FEMB_DAQ_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classFEMB__DAQ__IO.html"> &lt;FEMB_DAQ_IO&gt;</a></td></tr>
<tr class="memitem:a7eabdd0de42479b7143d848e595e470c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7eabdd0de42479b7143d848e595e470c"></a>
<a class="el" href="classregister__map.html#a7eabdd0de42479b7143d848e595e470c">DTS_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classDTS__IO.html"> &lt;DTS_IO&gt;</a></td></tr>
<tr class="memitem:a1d5f255abab5ee2026654de5f7d76202"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1d5f255abab5ee2026654de5f7d76202"></a>
<a class="el" href="classregister__map.html#a1d5f255abab5ee2026654de5f7d76202">EB_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classEB__IO.html"> &lt;EB_IO&gt;</a></td></tr>
<tr class="memitem:ab3798edbff0b5b8b4ca4b2e85a61769c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab3798edbff0b5b8b4ca4b2e85a61769c"></a>
<a class="el" href="classregister__map.html#ab3798edbff0b5b8b4ca4b2e85a61769c">DQM_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classDQM__IO.html"> &lt;DQM_IO&gt;</a></td></tr>
<tr class="memitem:a2f935f68d453cdc095ee9c3e3a35c739"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2f935f68d453cdc095ee9c3e3a35c739"></a>
<a class="el" href="classregister__map.html#a2f935f68d453cdc095ee9c3e3a35c739">Flash_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classFlash__IO.html"> &lt;Flash_IO&gt;</a></td></tr>
<tr class="memitem:a3bf70fa5027016626ca49568049af089"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3bf70fa5027016626ca49568049af089"></a>
<a class="el" href="classregister__map.html#a3bf70fa5027016626ca49568049af089">localFlash_IO</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:a904cbc411001fddb5ae44d16f511468f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a904cbc411001fddb5ae44d16f511468f"></a>
<a class="el" href="classregister__map.html#a904cbc411001fddb5ae44d16f511468f">NET_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classNET__IO.html"> &lt;NET_IO&gt;</a></td></tr>
<tr class="memitem:a97af2acf2227b2b18a7846e15ff67331"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a97af2acf2227b2b18a7846e15ff67331"></a>
<a class="el" href="classregister__map.html#a97af2acf2227b2b18a7846e15ff67331">WIB_PWR_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classWIB__PWR__IO.html"> &lt;WIB_PWR_IO&gt;</a></td></tr>
<tr class="memitem:ada1730f3e85914449cfc1bf2e0ef0c4d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ada1730f3e85914449cfc1bf2e0ef0c4d"></a>
<a class="el" href="classregister__map.html#ada1730f3e85914449cfc1bf2e0ef0c4d">types</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classtypes.html"> &lt;types&gt;</a></td></tr>
<tr class="memitem:aca8363d7de071f04420ee976d96d6831"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aca8363d7de071f04420ee976d96d6831"></a>
<a class="el" href="classregister__map.html#aca8363d7de071f04420ee976d96d6831">FW_TIMESTAMP</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classFW__TIMESTAMP.html"> &lt;FW_TIMESTAMP&gt;</a></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Generics"></a>
Generics</h2></td></tr>
 <tr class="memitem:aa1a726634c1ab8a51ac9623957207d54"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa1a726634c1ab8a51ac9623957207d54"></a>
<a class="el" href="classregister__map.html#aa1a726634c1ab8a51ac9623957207d54">FIRMWARE_VERSION</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; 00000000 &quot;</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:a457f028f8df623f3ba0e31fc91b17092"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a457f028f8df623f3ba0e31fc91b17092"></a>
<a class="el" href="classregister__map.html#a457f028f8df623f3ba0e31fc91b17092">clk_UDP</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a83235b4d6b0bcaf9a166a06cb9da8d38"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a83235b4d6b0bcaf9a166a06cb9da8d38"></a>
<a class="el" href="classregister__map.html#a83235b4d6b0bcaf9a166a06cb9da8d38">locked_UDP</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa5dee59e6dfd116b6e40669ba272461f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa5dee59e6dfd116b6e40669ba272461f"></a>
<a class="el" href="classregister__map.html#aa5dee59e6dfd116b6e40669ba272461f">reset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae6dd231c9adb839b6c2acc45f82ee6e5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae6dd231c9adb839b6c2acc45f82ee6e5"></a>
<a class="el" href="classregister__map.html#ae6dd231c9adb839b6c2acc45f82ee6e5">Ver_ID</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9d89f88a61cdfb12d987e18f7e8ebc8f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9d89f88a61cdfb12d987e18f7e8ebc8f"></a>
<a class="el" href="classregister__map.html#a9d89f88a61cdfb12d987e18f7e8ebc8f">data_in</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acb7651becaa19e7c5c21b72b95dac37c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acb7651becaa19e7c5c21b72b95dac37c"></a>
<a class="el" href="classregister__map.html#acb7651becaa19e7c5c21b72b95dac37c">WR_address</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9e5428117cfce1d82d064e72683a5d97"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9e5428117cfce1d82d064e72683a5d97"></a>
<a class="el" href="classregister__map.html#a9e5428117cfce1d82d064e72683a5d97">RD_address</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a34e5807b530c9e5b7ffd72520e407d4c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a34e5807b530c9e5b7ffd72520e407d4c"></a>
<a class="el" href="classregister__map.html#a34e5807b530c9e5b7ffd72520e407d4c">WR_strb</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac5ef0212e39bdda6ad458e108d20f47f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac5ef0212e39bdda6ad458e108d20f47f"></a>
<a class="el" href="classregister__map.html#ac5ef0212e39bdda6ad458e108d20f47f">RD_strb</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af05e505989775eef238b7a8920cbc16e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af05e505989775eef238b7a8920cbc16e"></a>
<a class="el" href="classregister__map.html#af05e505989775eef238b7a8920cbc16e">data_out</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a887b291f3b61430862b39628fe4a8054"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a887b291f3b61430862b39628fe4a8054"></a>
<a class="el" href="classregister__map.html#a887b291f3b61430862b39628fe4a8054">clk_WIB</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9eb76af85ac4bfd0575d4ffb8a9cbdef"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9eb76af85ac4bfd0575d4ffb8a9cbdef"></a>
<a class="el" href="classregister__map.html#a9eb76af85ac4bfd0575d4ffb8a9cbdef">clk_EVB</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a73f45e4e4ae1423c130abe4497ea602b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a73f45e4e4ae1423c130abe4497ea602b"></a>
<a class="el" href="classregister__map.html#a73f45e4e4ae1423c130abe4497ea602b">clk_FEMB</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab64d3f7a73963efcac20ae33aa224d26"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab64d3f7a73963efcac20ae33aa224d26"></a>
<a class="el" href="classregister__map.html#ab64d3f7a73963efcac20ae33aa224d26">clk_services</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a44b0fc266f94a3f56cce094b1b4a7016"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a44b0fc266f94a3f56cce094b1b4a7016"></a>
<a class="el" href="classregister__map.html#a44b0fc266f94a3f56cce094b1b4a7016">clk_flash</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac6395c75b6c1e83d6d0de2ecab0b86e1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac6395c75b6c1e83d6d0de2ecab0b86e1"></a>
<a class="el" href="classregister__map.html#ac6395c75b6c1e83d6d0de2ecab0b86e1">clk_DUNE</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a28ca6342b083fb2d5a6bbe667ea6c807"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a28ca6342b083fb2d5a6bbe667ea6c807"></a>
<a class="el" href="classregister__map.html#a28ca6342b083fb2d5a6bbe667ea6c807">locked_WIB</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a581d5e355322b65ee334c0e5948893a1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a581d5e355322b65ee334c0e5948893a1"></a>
<a class="el" href="classregister__map.html#a581d5e355322b65ee334c0e5948893a1">locked_EVB</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac7411bad456ef3f0ded6f6f08e5566aa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac7411bad456ef3f0ded6f6f08e5566aa"></a>
<a class="el" href="classregister__map.html#ac7411bad456ef3f0ded6f6f08e5566aa">locked_FEMB</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1208359a09d62261d6106c5bf8350fdf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1208359a09d62261d6106c5bf8350fdf"></a>
<a class="el" href="classregister__map.html#a1208359a09d62261d6106c5bf8350fdf">locked_services</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a46039893ecec26921bd5dfeceed14e2d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a46039893ecec26921bd5dfeceed14e2d"></a>
<a class="el" href="classregister__map.html#a46039893ecec26921bd5dfeceed14e2d">locked_flash</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aad3be46f872d8ead3e1049a71c5e3c46"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aad3be46f872d8ead3e1049a71c5e3c46"></a>
<a class="el" href="classregister__map.html#aad3be46f872d8ead3e1049a71c5e3c46">locked_DUNE</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af79d19e8df54d6e44c16a8ae40f07939"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af79d19e8df54d6e44c16a8ae40f07939"></a>
<a class="el" href="classregister__map.html#af79d19e8df54d6e44c16a8ae40f07939">WIB_control</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">WIB_control_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2f7a849d400b21662d892da5c33dab95"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2f7a849d400b21662d892da5c33dab95"></a>
<a class="el" href="classregister__map.html#a2f7a849d400b21662d892da5c33dab95">WIB_monitor</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">WIB_monitor_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aff9110259c8159a951c8cdff460de3a9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aff9110259c8159a951c8cdff460de3a9"></a>
<a class="el" href="classregister__map.html#aff9110259c8159a951c8cdff460de3a9">Flash_control</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">Flash_control_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a435be6866128e8baaa4cee18c959ab1d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a435be6866128e8baaa4cee18c959ab1d"></a>
<a class="el" href="classregister__map.html#a435be6866128e8baaa4cee18c959ab1d">Flash_monitor</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">Flash_monitor_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa278a5603d149e0e4d13631145bb04aa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa278a5603d149e0e4d13631145bb04aa"></a>
<a class="el" href="classregister__map.html#aa278a5603d149e0e4d13631145bb04aa">localFlash_control</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">localFlash_control_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af244f1d9275271ab3254f4e1eecf99f3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af244f1d9275271ab3254f4e1eecf99f3"></a>
<a class="el" href="classregister__map.html#af244f1d9275271ab3254f4e1eecf99f3">localFlash_monitor</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">localFlash_monitor_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa06d58f3675c1a00527e4fd292c9a644"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa06d58f3675c1a00527e4fd292c9a644"></a>
<a class="el" href="classregister__map.html#aa06d58f3675c1a00527e4fd292c9a644">DTS_control</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">DTS_control_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a28a3591deeeccf6d805ea80a329ca7bc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a28a3591deeeccf6d805ea80a329ca7bc"></a>
<a class="el" href="classregister__map.html#a28a3591deeeccf6d805ea80a329ca7bc">DTS_monitor</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">DTS_monitor_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adcf217439061af058baabdff19bef0b2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adcf217439061af058baabdff19bef0b2"></a>
<a class="el" href="classregister__map.html#adcf217439061af058baabdff19bef0b2">FEMB_CNC_control</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">FEMB_CNC_Control_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae822f0de2e71f28d3f6380ac6dd9043e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae822f0de2e71f28d3f6380ac6dd9043e"></a>
<a class="el" href="classregister__map.html#ae822f0de2e71f28d3f6380ac6dd9043e">FEMB_CNC_monitor</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">FEMB_CNC_Monitor_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9132dcbf51814cc674542995bb60cac2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9132dcbf51814cc674542995bb60cac2"></a>
<a class="el" href="classregister__map.html#a9132dcbf51814cc674542995bb60cac2">FEMB_DAQ_control</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">FEMB_DAQs_control_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a32361224a60b45d0a13ff10ead90275e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a32361224a60b45d0a13ff10ead90275e"></a>
<a class="el" href="classregister__map.html#a32361224a60b45d0a13ff10ead90275e">FEMB_DAQ_monitor</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">FEMB_DAQs_monitor_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a73ab1c3b841a6f65332414382d5f961e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a73ab1c3b841a6f65332414382d5f961e"></a>
<a class="el" href="classregister__map.html#a73ab1c3b841a6f65332414382d5f961e">EB_control</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">EB_control_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3355d9f771774cc57c51664cb16fdf69"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3355d9f771774cc57c51664cb16fdf69"></a>
<a class="el" href="classregister__map.html#a3355d9f771774cc57c51664cb16fdf69">EB_monitor</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">EB_monitor_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6e4936d791bc06335fa7213649892c64"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6e4936d791bc06335fa7213649892c64"></a>
<a class="el" href="classregister__map.html#a6e4936d791bc06335fa7213649892c64">DQM_Control</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">DQM_Control_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7f2bedd42c9e03b50b6d608bf64e71b3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7f2bedd42c9e03b50b6d608bf64e71b3"></a>
<a class="el" href="classregister__map.html#a7f2bedd42c9e03b50b6d608bf64e71b3">DQM_Monitor</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">DQM_Monitor_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a88684c882591063e81ac13bf1da9e39d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a88684c882591063e81ac13bf1da9e39d"></a>
<a class="el" href="classregister__map.html#a88684c882591063e81ac13bf1da9e39d">UDP_Control</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">UDP_Control_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa1d5e3cfaae7c3748efd1c56f7e62178"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa1d5e3cfaae7c3748efd1c56f7e62178"></a>
<a class="el" href="classregister__map.html#aa1d5e3cfaae7c3748efd1c56f7e62178">UDP_Monitor</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">UDP_Monitor_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad4e0e7a5512dfbf21ba82f3e35d9a5d1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad4e0e7a5512dfbf21ba82f3e35d9a5d1"></a>
<a class="el" href="classregister__map.html#ad4e0e7a5512dfbf21ba82f3e35d9a5d1">WIB_PWR_control</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">WIB_PWR_Control_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a825537ffe68b382ee5a785a62562fad2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a825537ffe68b382ee5a785a62562fad2"></a>
<a class="el" href="classregister__map.html#a825537ffe68b382ee5a785a62562fad2">WIB_PWR_monitor</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">WIB_PWR_Monitor_t</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="register__map_8vhd_source.html#l00021">21</a> of file <a class="el" href="register__map_8vhd_source.html">register_map.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/register_map/<a class="el" href="register__map_8vhd_source.html">register_map.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:34 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
